## edu.stanford.nlp.ling
Enum AnnotationLookup.KeyLookup

    java.lang.Object
      java.lang.Enum<AnnotationLookup.KeyLookup>
          edu.stanford.nlp.ling.AnnotationLookup.KeyLookup

All Implemented Interfaces:
  Serializable, Comparable<AnnotationLookup.KeyLookup>

Enclosing class:
  AnnotationLookup

    public static enum AnnotationLookup.KeyLookup

extends Enum<AnnotationLookup.KeyLookup>

Enum Constant Summary
`AFTER_KEY`
`ANSWER_KEY`
`ARG_KEY`
`BEFORE_KEY`
`BEGIN_POSITION_KEY`
`CATEGORY_FUNCTIONAL_TAG_KEY`
`CATEGORY_KEY`
`CH_CHAR_KEY`
`CH_ORIG_SEG_KEY`
`CH_SEG_KEY`
`CHUNK_KEY`
`COREF_KEY`
`CURRENT_KEY`
`DOCID_KEY`
`END_POSITION_KEY`
`END_POSITION_KEY2`
`FEATURES_KEY`
`GAZETTEER_KEY`
`GOLDANSWER_Key`
`HEAD_TAG_KEY`
`HEAD_WORD_KEY`
`IDF_KEY`
`INDEX_KEY`
`INTERPRETATION_KEY`
`LEFT_TERM_KEY`
`LEMMA_KEY`
`MARKING_KEY`
`MORPHO_CASE_KEY`
`MORPHO_GEN_KEY`
`MORPHO_NUM_KEY`
`MORPHO_PERS_KEY`
`NER_KEY`
`NORMALIZED_NER_KEY`
`PARENT_KEY`
`POLARITY_KEY`
`PROJ_CAT_KEY`
`ROLE_KEY`
`SEMANTIC_HEAD_POS_KEY`
`SEMANTIC_HEAD_WORD_KEY`
`SENTINDEX_KEY`
`SHAPE_KEY`
`SPAN_KEY`
`STEM_KEY`
`TAG_KEY`
`VALUE_KEY`
`VERB_SENSE_KEY`
`WORD_KEY`

Field Summary
`Class<? extends CoreAnnotation<?>>` `coreKey`
`String` `oldKey`

Method Summary
`static AnnotationLookup.KeyLookup` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AnnotationLookup.KeyLookup[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### VALUE_KEY

    public static final AnnotationLookup.KeyLookup VALUE_KEY

### TAG_KEY

    public static final AnnotationLookup.KeyLookup TAG_KEY

### WORD_KEY

    public static final AnnotationLookup.KeyLookup WORD_KEY

### LEMMA_KEY

    public static final AnnotationLookup.KeyLookup LEMMA_KEY

### CATEGORY_KEY

    public static final AnnotationLookup.KeyLookup CATEGORY_KEY

### PROJ_CAT_KEY

    public static final AnnotationLookup.KeyLookup PROJ_CAT_KEY

### HEAD_WORD_KEY

    public static final AnnotationLookup.KeyLookup HEAD_WORD_KEY

### HEAD_TAG_KEY

    public static final AnnotationLookup.KeyLookup HEAD_TAG_KEY

### INDEX_KEY

    public static final AnnotationLookup.KeyLookup INDEX_KEY

### ARG_KEY

    public static final AnnotationLookup.KeyLookup ARG_KEY

### MARKING_KEY

    public static final AnnotationLookup.KeyLookup MARKING_KEY

### SEMANTIC_HEAD_WORD_KEY

    public static final AnnotationLookup.KeyLookup SEMANTIC_HEAD_WORD_KEY

### SEMANTIC_HEAD_POS_KEY

    public static final AnnotationLookup.KeyLookup SEMANTIC_HEAD_POS_KEY

### VERB_SENSE_KEY

    public static final AnnotationLookup.KeyLookup VERB_SENSE_KEY

### CATEGORY_FUNCTIONAL_TAG_KEY

    public static final AnnotationLookup.KeyLookup CATEGORY_FUNCTIONAL_TAG_KEY

### NER_KEY

    public static final AnnotationLookup.KeyLookup NER_KEY

### COREF_KEY

    public static final AnnotationLookup.KeyLookup COREF_KEY

### SHAPE_KEY

    public static final AnnotationLookup.KeyLookup SHAPE_KEY

### LEFT_TERM_KEY

    public static final AnnotationLookup.KeyLookup LEFT_TERM_KEY

### PARENT_KEY

    public static final AnnotationLookup.KeyLookup PARENT_KEY

### SPAN_KEY

    public static final AnnotationLookup.KeyLookup SPAN_KEY

### BEFORE_KEY

    public static final AnnotationLookup.KeyLookup BEFORE_KEY

### AFTER_KEY

    public static final AnnotationLookup.KeyLookup AFTER_KEY

### CURRENT_KEY

    public static final AnnotationLookup.KeyLookup CURRENT_KEY

### ANSWER_KEY

    public static final AnnotationLookup.KeyLookup ANSWER_KEY

### GOLDANSWER_Key

    public static final AnnotationLookup.KeyLookup GOLDANSWER_Key

### FEATURES_KEY

    public static final AnnotationLookup.KeyLookup FEATURES_KEY

### INTERPRETATION_KEY

    public static final AnnotationLookup.KeyLookup INTERPRETATION_KEY

### ROLE_KEY

    public static final AnnotationLookup.KeyLookup ROLE_KEY

### GAZETTEER_KEY

    public static final AnnotationLookup.KeyLookup GAZETTEER_KEY

### STEM_KEY

    public static final AnnotationLookup.KeyLookup STEM_KEY

### POLARITY_KEY

    public static final AnnotationLookup.KeyLookup POLARITY_KEY

### CH_CHAR_KEY

    public static final AnnotationLookup.KeyLookup CH_CHAR_KEY

### CH_ORIG_SEG_KEY

    public static final AnnotationLookup.KeyLookup CH_ORIG_SEG_KEY

### CH_SEG_KEY

    public static final AnnotationLookup.KeyLookup CH_SEG_KEY

### BEGIN_POSITION_KEY

    public static final AnnotationLookup.KeyLookup BEGIN_POSITION_KEY

### END_POSITION_KEY

    public static final AnnotationLookup.KeyLookup END_POSITION_KEY

### DOCID_KEY

    public static final AnnotationLookup.KeyLookup DOCID_KEY

### SENTINDEX_KEY

    public static final AnnotationLookup.KeyLookup SENTINDEX_KEY

### IDF_KEY

    public static final AnnotationLookup.KeyLookup IDF_KEY

### END_POSITION_KEY2

    public static final AnnotationLookup.KeyLookup END_POSITION_KEY2

### CHUNK_KEY

    public static final AnnotationLookup.KeyLookup CHUNK_KEY

### NORMALIZED_NER_KEY

    public static final AnnotationLookup.KeyLookup NORMALIZED_NER_KEY

### MORPHO_NUM_KEY

    public static final AnnotationLookup.KeyLookup MORPHO_NUM_KEY

### MORPHO_PERS_KEY

    public static final AnnotationLookup.KeyLookup MORPHO_PERS_KEY

### MORPHO_GEN_KEY

    public static final AnnotationLookup.KeyLookup MORPHO_GEN_KEY

### MORPHO_CASE_KEY

    public static final AnnotationLookup.KeyLookup MORPHO_CASE_KEY

Field Detail

### coreKey

    public final Class<? extends CoreAnnotation<?>> coreKey

### oldKey

    public final String oldKey

Method Detail

### values

    public static AnnotationLookup.KeyLookup[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (AnnotationLookup.KeyLookup c : AnnotationLookup.KeyLookup.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static AnnotationLookup.KeyLookup valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Stanford NLP Group